Crie uma API Key para testar os endpoints ao vivo.

Criar API Key

Esta operação consome créditos do seu workspace por chamada.

post /api/v1/enrichment/batch

Autorização

Informe sua API key gerada em /developer/api-keys

Authorization

bearerAuth
AuthorizationBearer <token>

Informe sua API key gerada em /developer/api-keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://tamz.ai/api/v1/enrichment/batch" \  -H "Content-Type: application/json" \  -d '{    "person_ids": [      "2f3ef333-c221-4b8d-9f86-a552837d5a61"    ]  }'
{
  "data": [
    {
      "person_id": "087e858e-473c-4f50-b5b0-c1df6c021550",
      "status": "found",
      "data": {},
      "credits_used": 0,
      "cached": true
    }
  ],
  "meta": {
    "total_credits_used": 0,
    "summary": {
      "found": 0,
      "not_found": 0,
      "errors": 0
    }
  }
}
{
  "error": {
    "code": "INVALID_PARAMS",
    "message": "Invalid parameters"
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Missing API key. Use Authorization: Bearer tamz_xxx or X-API-Key header"
  }
}
{
  "error": {
    "code": "INVALID_PARAMS",
    "message": "Invalid parameters"
  }
}
{
  "error": {
    "code": "RATE_LIMITED",
    "message": "Rate limit exceeded"
  }
}